# __db_dbt Struct Reference

`#include <rpmdb/db_emu.h>`

## Data Fields

uint32_t | size
void * | data
uint32_t | flags

## Detailed Description

Definition at line 21 of file db_emu.h.

## Field Documentation

uint32_t __db_dbt::size

Definition at line 22 of file db_emu.h.

Referenced by dbg_keyval(), dbiFindMatches(), dbt2set(), miFreeHeader(), rpmdbAdd(), rpmdbCountPackages(), rpmdbFindByFile(), rpmdbFindFpList(), rpmdbInitIterator(), rpmdbNextIterator(), rpmdbRemove(), set2dbt(), sql_bind_data(), sql_bind_key(), sql_cget(), and unsatisfiedDepend().

void* __db_dbt::data

Definition at line 23 of file db_emu.h.

Referenced by dbg_keyval(), dbiFindMatches(), dbt2set(), miFreeHeader(), rpmdbAdd(), rpmdbCountPackages(), rpmdbFindByFile(), rpmdbFindFpList(), rpmdbGrowIterator(), rpmdbInitIterator(), rpmdbNextIterator(), rpmdbRemove(), scpResetKeys(), set2dbt(), sql_bind_data(), sql_bind_key(), sql_cget(), and unsatisfiedDepend().

uint32_t __db_dbt::flags

Definition at line 26 of file db_emu.h.

Referenced by rpmdbNextIterator(), and sql_cget().

The documentation for this struct was generated from the following file:

- rpmdb/db_emu.h